Summary
Rename Workflow
Description
Rename a Workflow in the database
Route
POST /workflow_builder/workflows/rename
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
| newName |
string |
yes |
New name for workflow |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 63863804.717702925,
"y": -15651859.669778332
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 20213800.55078885,
"y": -68820795.69381961
},
"error_handler": {
"name": "childJob",
"summary": "minim quis culpa",
"description": "eiusmod tempor",
"app": "officia anim",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/FA+laCd"
},
{
"type": "encryption",
"pointer": "/Z6wVhI/dxBBr5LX.Rl/~0/~1/EU6sjVbM/IKLiBqyS/~1/~1/~1/~1"
},
{
"type": "encryption",
"pointer": "/rV/lbF/FG9fr/~0"
}
]
},
"groups": [
"b1d520a2d9c523f5a1728027",
"e9be6da0871cfc0d5862ee58",
"1748b276ca652a79cf35b960",
"78399102ec10a63c52aa8579"
],
"type": "operation",
"deprecated": false,
"scheduled": true
}
},
"transitions": {},
"groups": [
"ce1df94ec8cf5f3aa9d083fd"
],
"_id": "46c0d0b0-e5e4-04b1-327b-1f4f2269dce5",
"description": "enim in",
"errorHandler": null,
"font_size": 12,
"created": "1961-03-25T14:57:33.773Z",
"created_by": "ff44e247e4aac6fbcba8c92d",
"createdVersion": "aliquip laboris",
"last_updated": "1985-03-31T06:52:11.677Z",
"last_updated_by": "f431f87b8942353357c30458",
"lastUpdatedVersion": "officia aute velit",
"tags": [],
"canvasVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~0/Rr0S4C/mK/hmVqil3A7G/~1/yyBlNX78/vif75WAcm/EWUKjo4,xd7"
}
]
},
"newName": "New Workflow Name"
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
The renamed Workflow with its data and ID. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": -21190597.4731092,
"y": -14996371.192046314
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 39901094.04723787,
"y": 77341516.90892363
},
"error_handler": {
"name": "childJob",
"summary": "aliquip sunt sint occaecat magna",
"description": "cupidatat fugiat in",
"app": "consectetur",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/bQv/QV+5tfI/~0/~1/KaAylK"
},
{
"type": "encryption",
"pointer": "/~0/ArYmL+-vuzg/TYGC9,7gQ+,/~1/ZUq,ZW1/~0/sL"
},
{
"type": "encryption",
"pointer": "/~0/N1c/cj5hSx95/R/~1/T4+G/"
}
]
},
"groups": [
"834d5a084052d2796b8d8584",
"dfea343ebfa4332d12952673",
"a2e3d2f67b8079656bc4d14a"
],
"type": "operation",
"deprecated": false,
"scheduled": false
}
},
"transitions": {},
"groups": [
"05d9cc40a4846b1e0cb0c178",
"fd19035b85bfcf6ac672e854",
"f36d4554f740687d18cc9831",
"ba29efad4a15a6bd753fcf7f"
],
"_id": "d8e0abe7-7e68-5c51-0f71-b5abe2708392",
"description": null,
"errorHandler": null,
"font_size": 12,
"created": "1951-04-30T03:17:59.38Z",
"created_by": "f7f536849563eb91026ec21d",
"createdVersion": "incididunt laboris elit sint",
"last_updated": "1985-01-15T05:43:27.389Z",
"last_updated_by": "406eb596664cf3516e31c03e",
"lastUpdatedVersion": "sunt velit eu dolore",
"tags": [],
"canvasVersion": 2,
"decorators": [
{
"type": "encryption",
"pointer": "/j9x"
},
{
"type": "encryption",
"pointer": "/~1/Ywz/~1/Cy,BMBHNOu/XT2.7.UF/vkxN/In6,OBOG/ek+/~1/~1/AMAcfR"
}
]
}